CMS Made Simple Forums
https://forum.cmsmadesimple.org/

CMSMS 1.11 - What we broke
https://forum.cmsmadesimple.org/viewtopic.php?f=1&t=61734
Page 1 of 1

Author:  calguy1000 [ Wed Jun 27, 2012 5:29 pm ]
Post subject:  CMSMS 1.11 - What we broke

Here is a list of known issues that people may have with upgrading. We will endeavour to keep this list up to date throughout the beta process. And if necessary afterwards.

a: Admin Themes
- Some custom admin themes may work, but may have problems with the tooltips displayed in the content list. Changing to the NCleanGrey or OneEleven themes should solve this.

b: Smarty Templates when Caching is enabled
- Smarty templates that assign the output of a plugin to a smarty variable for later use may have problems when page caching is enabled.
i.e: {content assign='mycontent'} .... {$mycontent}
This is easily fixable by changing the {$mycontent} tag to {$mycontent nocache}

c: Modules that export content types
- We have made some significant adjustments to the main content page classes, therefore there is a danger that some modules that export content types may be effected. Hopefully these modules will be tested and/or updated in the beta process, but you should be aware that this is a concern.

d: $config['process_whole_template']
- We have removed the option to allow templates to be processed in in their entirety. Therefore, any sites that depend on this functionality may need adjustment. There is at least one third party addon module that depends on this functionality as well.

e: Postgress
- As discussed previously, this version of CMSMS no longer supports postgress.
(as a side note, the 1.11 series is the last series of CMSMS that will support PHP
5.2).

Have fun with CMSMS!

Author:  calguy1000 [ Sat Jul 07, 2012 4:31 pm ]
Post subject:  Re: CMSMS 1.11 - What we broke

Addendum:

Due to circumstances beyond our control, plugins who's name ends in 'close' will fail to be recognized by smarty3. They will have to be renamed, and templates using these plugins updated.

Sorry for the inconvenience, but this was something beyond our control.

Author:  calguy1000 [ Sun Jul 15, 2012 4:21 pm ]
Post subject:  Re: CMSMS 1.11 - What we broke

Update:

Just so we have all of the information in one place, here's a further update to what's been changed/updated/deprecated/broken in 1.11

lang parameter
The lang parameter passed to modules has been deprecated. Though it should still work for the 1.11 series, it will be removed in the 1.12 series. This is because we will not be allowing multiple languages (and therefore multiple locales) in the same request. This will make it easier for multi-language addon modules, and result in a considerable optimization.

default_encoding and admin_encoding deprecated
These config strings have been around for a while, with varying degrees of success. Now that the encoding is all contained within the NLS files, and the concept of 'one language, locale, and encoding' per request has been introduced these config parameters can be safely removed in an upcoming version.

Author:  Rolf [ Sun Jul 15, 2012 5:55 pm ]
Post subject:  Re: CMSMS 1.11 - What we broke

After a successful upgrade you don't the NLS-files in the folder /admin/lang/ anymore.
So the files af_ZA.nls, ar_AR.nls, ..., ..., zh_TW.nls can be removed.

grtz. Rolf

Page 1 of 1 All times are UTC
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/